unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,Spin, ExtCtrls,
  registration;  // <<<<<<<<<<< ADD THIS LINE

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Label6: TLabel;
    spinDays: TSpinEdit;
    Label7: TLabel;
    chkNew: TCheckBox;
    Label9: TLabel;
    Button2: TButton;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    edtRegistration: TEdit;
    Label2: TLabel;
    Button1: TButton;
    GroupBox3: TGroupBox;
    lblLicense: TLabel;
    lblRegistration: TLabel;
    lblDays: TLabel;
    lblRegistered: TLabel;
    lblExpired: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure UpdateData;
  private
    { Private declarations }
  public
    { Public declarations }
  end;


const ProgramID: TGUID = '{4736F5A0-41D5-11D3-AA01-B2A8A441DC7B}'; // <<<< ADD THIS LINE
// create this line ^^^^ by typing in "const ProgramID: TGUID =" (without the quotes)
// and then typing Crtl-Shift-G.  Edit out the "[]" brackets...

var
  Form1: TForm1;
  reg: TRegistration; // <<<<< ADD THIS LINE

implementation

{$R *.DFM}


procedure TForm1.FormCreate(Sender: TObject);
begin

 reg := TRegistration.Create(Self); // <<<< ADD THIS LINE
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 reg.free; // <<<< ADD THIS LINE
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 reg.verify(ProgramID, edtRegistration.text); // <<<< ADD THIS LINE
 UpdateData;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 reg.Status(ProgramID, spinDays.value, ChkNew.checked); // <<<< ADD THIS LINE
 UpdateData;
end;

procedure TForm1.UpdateData;
begin
 lblLicense.caption := 'License number: ' + reg.license;
 lblRegistration.caption := 'Registration number: ' + reg.number;
 lblDays.caption := 'Number of days: '+ IntToStr(reg.days);
 if reg.registered = TRUE then begin
  lblRegistered.caption := 'Program is registered';
 end else begin
  lblRegistered.caption := 'Program is NOT registered';
 end;
 if reg.expired = TRUE then begin
  lblExpired.caption := 'Program is expired';
 end else begin
  lblExpired.caption := 'Program is NOT expired';
 end;
end;

end.
